import IconRenderer from "../renderer/IconRenderer";
import ContactUsTelType from "./components/ContactUsTelType";
import ContactUsTextType from "./components/ContactUsTextType";
import ContactUsSocialsType from "./components/ContactUsSocialsType";

const ContactUsCard = ({ value }) => {
  return (
    <div className="w-full h-[140px] rounded-2xl border border-border-main p-2 flex flex-col gap-3">
      <div className="w-full flex items-center gap-2">
        <IconRenderer iconName={value.icon} size={24} color="#93d4d6" />
        <strong>{value.title}</strong>
      </div>
      {value.type === "tel" && <ContactUsTelType content={value.content} />}
      {value.type === "text" && <ContactUsTextType content={value.content} />}
      {value.type === "social" && (
        <ContactUsSocialsType content={value.content} />
      )}
    </div>
  );
};

export default ContactUsCard;
